<?php
/**
 * The template used for displaying page content in package-details-template.php
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
	//Comprehensive Google Map by Alexander Zagniotov
	//Dependent on Comprehensive Google Map Plugin 
	$map_short_code = '[google-map-v3 width="540" height="420" zoom="12" maptype="roadmap" mapalign="center" directionhint="true" language="default" poweredby="false" maptypecontrol="true" pancontrol="true" zoomcontrol="true" scalecontrol="true" streetviewcontrol="true" scrollwheelcontrol="true" draggable="true" tiltfourtyfive="false" addmarkermashupbubble="false" addmarkermashupbubble="false" addmarkerlist="{{event_address}}{}1-default.png" bubbleautopan="true" showbike="false" showtraffic="false" showpanoramio="false"]';

	$post_id = get_the_ID();
	$data 	 = get_post_custom($post_id);
	
	//delete_post_meta($post_id, 'galerry_shortcode');
	$event_details 		= isset($data['event_details'][0]) ? unserialize($data['event_details'][0]) : array();
	$package_inclusion 	= (! empty($data['package_inclusion'][0]) ? unserialize($data['package_inclusion'][0]) : array() );
	$itinerary 			= (! empty($data['itinerary'][0]) ? unserialize($data['itinerary'][0]) : array() );
	$descriptions 		= (! empty($data['descriptions'][0]) ? $data['descriptions'][0] : ''); 
	$party_dates_availability = (! empty($data['party_dates_availability'][0]) ? unserialize($data['party_dates_availability'][0]) : array() );
	$gallery 			= (! empty($data['gallery'][0]) ? unserialize($data['gallery'][0]) : array() );
	$venue_map			= (! empty($data['venue_map'][0]) ? $data['venue_map'][0] : '');
	$enquiry_form		= (! empty($data['enquiry_form'][0]) ? $data['enquiry_form'][0] : '');
	$location 			= (! empty($data['Location'][0]) ? $data['Location'][0] : '');	
	$email 		    	= (! empty($data['email_address'][0]) ? unserialize($data['email_address'][0]) : array('0' => array('Email' => 'No Email Address')));
	$phone_number 		= (! empty($data['phone_number'][0]) ? $data['phone_number'][0] : 'No Phone number');
	$party_type 		= (! empty($data['Party Type'][0]) ? $data['Party Type'][0] : '');
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<!-- <header class="entry-header">
			<h1 class="entry-title"><?php the_title(); ?></h1>
		</header> -->

		<div class="entry-content">
			<div class="row">
			<div class="entry-event-info">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				<?php if(! empty( $event_details[0] ) ): ?>
					<ul>
						<li class="event-location"> <i class="icon-home"></i> <?=$location;?> </li>
						<li class="party-type" title="Type of Party" rel="tooltip"> <i class="icon-share"></i> <?=$party_type;?> </li>
						<li class="venue-capacity" title="Capacity" rel="tooltip"> <i class="icon-user"></i> <?=$event_details[0]['Venue Capacity'];?> </li>
						<li class="price-list"> <i class="icon-shopping-cart"></i> Price From: <?=$event_details[0]['Price'];?> </li>
						<!--<li class="plus-vat"> + VAT per person </li>-->
					</ul>
				<?php endif; ?>
				<a class="btn btn-warning btn-large print-no enquireNow" href="#"> Enquire <i class="icon-signin"></i> </a>
			</div>

			<?php if ( has_post_thumbnail() ) : ?>
				<div class="package-entry-image">
					<?php the_post_thumbnail(); ?>
				</div><!-- .entry-page-image -->
			<?php endif; ?>
			<?php if(function_exists('pf_show_link')): ?>
					<?php $print_url = 'http://www.printfriendly.com/print?url='. get_permalink(); ?>
					<a href="<?=$print_url;?>" class="btn btn-success btn-small print-no print-pdf-page" rel="nofollow" onclick="window.print(); return false;"> 
						<span class="printfriendly-text2 printandpdf">
							<i class="icon-print" alt="Print Friendly Version of this page"></i> Print Page &nbsp; 
							<i class="icon-file-alt" alt="Get a PDF version of this webpage"></i> Get a PDF 
						</span>
					</a>
			<?php endif; ?>
			</div>
			<!-- descriptions -->
			<div class="row">
				<div class="well event-descriptions-well">
					<h1 class="event-descriptions"> Descriptions and Details </h1>
					<?php the_content(); ?>
				</div>
			</div>
			<!-- //descriptions -->

			<?php if(! empty($gallery ) ): ?>
				<script type="text/javascript">
				// <![CDATA[
				jQuery(document).ready(function () {
					jQuery('a[rel="packagegallery"]').colorbox({title: function(){ return jQuery(this).children().attr("alt"); }});
				});
				// ]]>;
				</script>
				<div class="row">
					<div class="event-gallery-list">
						<!-- <h2> Gallery </h2> -->
						<ul class="event-gallery thumbnails">
							<?php foreach ( $gallery as $list ): ?>
							<li class="span2">
								<a class="thumbnail" href="<?=$list['image'];?>" rel="packagegallery">
									<img src="<?=$list['image'];?>" alt="<?=$list['title']?>" title="<?=$list['title']?>" />
								</a>
							</li>
							<?php endforeach; ?>
						</ul>
					</div>
				</div>
			<?php endif; ?>

			<div class="row">
				<?php if(! empty( $event_details[0] ) ): ?>
				<div class="the-event-details">
					<div class="span4">
						<h2 class="stacked"> <i class="icon-check"></i> &nbsp; Event Details  </h2>
						<table class="twitter_bs table table-bordered table-condensed table-hover">
							<tbody>
								<tr>
									<td> <strong> Location </strong></td>
									<td> <?=$location;?> </td>
								</tr>	<!--															
								<tr>									
									<td> <strong> Email Address </strong></td>							
									<td> <span class="supplier_email_address" data-email="<?=$email[0]['Email'];?>"><?=$email[0]['Email'];?></span> </td>			
								</tr>-->
								<tr>
									<td> <strong> Party Type </strong></td>
									<td><?=$party_type;?></td>
								</tr>
							<?php foreach ( $event_details[0] as $key => $list ): ?>
								<tr>
									<td> <strong> <?=$key;?> </strong> </td>
									<td> <?=$list;?></td>
								</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
				<?php endif; ?>

				<?php if(! empty( $package_inclusion ) ): ?>
				<!-- Party Inclusion -->
				<div class="the-event-details">
					<div class="span3" style="width: 262px;">
						<h2 class="stacked"> <i class="icon-tags"></i> &nbsp; Party Inclusion </h2>
						<table class="twitter_bs table table-bordered table-condensed table-hover">
							<tbody>
							<?php foreach ( $package_inclusion as $list ): ?>
								<tr>
									<td> <i class="icon-ok" style="color:#67a502"></i> &nbsp; <?=$list;?> </td>
								</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
				<!-- // Party Inclusion -->
				<?php endif; ?>
			</div>

			<?php if( ! empty($itinerary) ): ?>
			<!-- Itinerary -->
			<div class="row">
				<div class="the-event-details">
					<div class="itineraries-list">
						<h2 class="stacked"> <i class="icon-star"></i> &nbsp; Itinerary </h2>
						<table class="twitter_bs table table-bordered table-condensed table-hover">
							<tbody>
							<?php foreach ( $itinerary[0] as $list ): ?>
								<tr>
									<?php if( ! empty($list) ): ?>
									<td> <i class="icon-ok" style="color:#FB7600"></i> &nbsp; <?=$list;?> </td>
									<?php endif; ?>
								</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<!-- //Itinerary -->
			<?php endif; ?>

			<div class="row print-no">
				<div class="big-button-enquire">
					<a href="#" class="btn btn-primary btn-success btn-large btn-block print-no enquireNow"> <i class="icon-signin"></i> Enquire Now </a> 
				</div>
			</div>

			<?php if(! empty($party_dates_availability)): ?>
				<!-- Party Dates & Availability -->
				<div class="row">
					<div class="party-date-avail">
						<h2 class="stacked"> <i class="icon-calendar"></i> &nbsp; Party Dates and Availability </h2>
						<table class="twitter_bs table table-bordered table-condensed table-hover">
							<thead>
								<tr>
									<th> Date </th>
									<th> Price </th>
									<th> Type </th>
									<th> Notes </th>
								</tr>
							</thead>
							<tbody>
							<?php 
								$select = '<option value=""> Please choose a date </option>';
								foreach ( $party_dates_availability as $list ):
								$date = strtotime($list['party_date']);
								$str_date = date("l jS, M Y", $date);
								$select.= '<option value="'.$str_date.'">'.$str_date.'</option>';
							?>
							<tr>
								<td> <?=$str_date;?> </td>
								<td> <?=$list['price'];?> </td>
								<td> <?=ucwords($list['type']);?> </td>
								<td> <?=$list['notes'];?> </td>
							</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
				<!-- //Party Dates & Availability -->
			<?php endif; ?>

			<?php if(! empty($venue_map) ):
				  $map_short_code = str_replace("{{event_address}}", $venue_map, $map_short_code);
			?>
				<div id="enquireNow" class="row print-no">
					<div class="venue-map">
						<h2 class="stacked"> <i class="icon-globe"></i> &nbsp; Venue Map </h2>
						<div class="well">
							<?php echo do_shortcode($map_short_code);?>
						</div>
					</div>
				</div>
			<?php endif; ?>

			<?php if(function_exists('pf_show_link')): ?>
				<div class="hide"><?=pf_show_link();?></div>
				<!-- Print Page -->
				<div id="print-pdf-footer" class="row print-no">
					<?php $print_url = 'http://www.printfriendly.com/print?url='. get_permalink();?>
					<a href="<?=$print_url;?>" class="btn btn-success btn-small print-pdf-page" rel="nofollow" onclick="window.print(); return false;"> 
						<span class="printfriendly-text2 printandpdf">
							<i class="icon-print" alt="Print Friendly Version of this page"></i> Print Page &nbsp; 
							<i class="icon-file-alt" alt="Get a PDF version of this webpage"></i> Get a PDF 
						</span>
					</a>
				</div>
				<!-- //Print Page -->
			<?php endif; ?>
			
				<div class="row print-no">
					<div class="event-enquiry-form">
						<h2 class="stacked"> <i class="icon-bullhorn"></i> &nbsp;  Enquire <?php the_title();?> </h2>
						<div class="well">
							<p><b>Email Address</b> <span class="label label-success"> <?=$email[0]['Email'];?>  </span> </p>
							<p><b>Phone Number</b> <span class="label label-important"> <?=$phone_number;?> </span>  </p>
						</div>
					</div>
				</div>
				<script type="text/javascript">
					// <![CDATA[
					var $date_select = '<?=$select;?>';
					jQuery(document).ready(function () {
						jQuery("#input_1_11").empty().append($date_select);
						jQuery("#input_1_11").trigger("liszt:updated");
					});
					// ]]>;
				</script>

			<!--
			<?php if(! empty($enquiry_form) ): ?>
				<div class="row print-no">
					<div class="event-enquiry-form">
						<h2 class="stacked"> <i class="icon-bullhorn"></i> &nbsp;  Enquire <?php the_title();?> </h2>
						<div class="well">
							<?php //echo do_shortcode($enquiry_form);?>
							<p><span class="label label-success">Email Address </span> <?=$email[0]['Email'];?> </p>
							<p><span class="label label-info">Phone Number </span> <?=$phone_number;?> </p>
						</div>
					</div>
				</div>
				<script type="text/javascript">
				// <![CDATA[
				var $date_select = '<?=$select;?>';
				jQuery(document).ready(function () {
					jQuery("#input_1_11").empty().append($date_select);
					jQuery("#input_1_11").trigger("liszt:updated");
				});
				// ]]>;
				</script>
			<?php endif; ?>
			-->
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php edit_post_link( __( 'Edit', 'twentytwelve' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- .entry-meta -->
		<script type="text/javascript">
			// <![CDATA[
			var $date_select = '<?=$select;?>';
			jQuery(document).ready(function () {
				jQuery('.enquireNow').click(function(evt){
					evt.preventDefault();
				    var n = jQuery(document).height();
				    n -= 800;
				    jQuery('html, body').animate({ scrollTop: n },'1600');
			    });
			});
			// ]]>;
			</script>
	</article><!-- #post -->
