<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>

<script type="text/javascript">

jQuery(function($){ 
    $(document).ready(function(){
    	
         $(".menu-side-bar-navigation-menu-container #menu-side-bar-navigation-menu li ul.sub-menu").hide();
         $(".menu-side-bar-navigation-menu-container ul#menu-side-bar-navigation-menu li a").click(function(){
	        $(this).toggleClass("active").next().slideToggle("normal");
		var title = $(this).attr('title');
                if(title == 'location')
                {
                	return false;
		}
		else
		{
			return true
		}
	       
		    
	    });

	 

        $('.supplier_email').hide();
        $('.recipient_email').hide();
        var email_add = $('.supplier_email_address').attr('data-email');
	$('#input_1_15').attr('value',email_add);

    });
});


</script>
</head>

<body id="" <?php body_class(); ?>>
<div id="wrapper">

	<header id="masthead" class="site site-head" role="banner">
		<div class="site-header">
			<hgroup>
				<div id="logo">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
						<img src="<?php bloginfo('template_directory'); ?>/images/logo.png" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" title="<?php bloginfo( 'description' ); ?>" />
					</a>
				</div>
				<div class="candycane"></div>
				<div class="main-info">
					<div class="for-questions">
						<ul>
							<li class="info-header"> QUESTIONS </li>
							<li> CALL US NOW </li>
							<li> 044 936 2222 </li>
						</ul>
					</div>
					<div class="space-border"></div>
					<div class="for-contact">
						<ul>
							<li class="info-header"> MON - FRI </li>
							<li> 9AM - 6:00PM </li>
						</ul>
					</div>
				</div>
			</hgroup>
			<nav id="site-navigation" class="main-navigation" role="navigation">
				<h3 class="menu-toggle"><?php _e( 'Menu', 'twentytwelve' ); ?></h3>
				<a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentytwelve' ); ?>"><?php _e( 'Skip to content', 'twentytwelve' ); ?></a>
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
			</nav><!-- #site-navigation -->
		</div>
	</header><!-- #masthead -->

	<div id="page" class="hfeed site">
		<div id="main" class="wrapper">