<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); 
include (TEMPLATEPATH . '/left-sidebar.php');
?>
	<div id="primary" class="site-content">
		<div id="content" role="main">

		<?php if ( function_exists( "easingsliderlite" ) ) {
		 	echo '<article id="post-0" class="post-slide">';
		 	easingsliderlite(); 
		 	echo '</article>';
		}

		$my_id = 30;

		if ( $post = get_post($my_id) )
		{
			$content = $post->post_content;
			$content = apply_filters('the_content', $content);
		?>
			<article id="post-<?php echo $post->ID; ?>" class="post-<?php echo $post->ID; ?> post front-page-post type-<?php echo $post->post_type;?> status-<?php echo $post->post_status?> format-standard hentry">
				<div class="entry-content">
					<?php echo $content; ?>
				</div>
			</article>
		<?php
		} 
		elseif ( have_posts() )
		{ 

			while ( have_posts() ) : the_post();

			get_template_part( 'content', get_post_format() );

		    endwhile; ?>

		<?php twentytwelve_content_nav( 'nav-below' ); ?>

		<?php }else{ ?>

			<article id="post-0" class="post no-results not-found">

			<?php if ( current_user_can( 'edit_posts' ) ) :
				// Show a different message to a logged-in user who can add posts.
			?>
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'No posts to display', 'twentytwelve' ); ?></h1>
				</header>

				<div class="entry-content">
					<p><?php printf( __( 'Ready to publish your first post? <a href="%s">Get started here</a>.', 'twentytwelve' ), admin_url( 'post-new.php' ) ); ?></p>
				</div><!-- .entry-content -->

			<?php else :
				// Show the default message to everyone else.
			?>
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'twentytwelve' ); ?></h1>
				</header>

				<div class="entry-content">
					<p><?php _e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'twentytwelve' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			<?php endif; // end current_user_can() check ?>

			</article><!-- #post-0 -->

		<?php } // end have_posts() check ?>

			<?php if ( is_active_sidebar( 'front-widget' ) ) : ?>
					<?php dynamic_sidebar( 'front-widget' ); ?>
			<?php endif; ?>

		</div><!-- #content -->
	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>